package supply

import (
	"context"
	"git.oa00.com/supply-chain/service/client"
)

type skuTag struct {
}
type ArgsSkuTagAdds struct {
	SkuIds []uint // skuIds
	TagIds []uint // tagIds
}

// Adds @Title 添加标签
func (s *skuTag) Adds(ctx context.Context, args ArgsSkuTagAdds) error {
	reply := 0
	xClient, err := client.GetClient(s)
	if err != nil {
		return err
	}
	return xClient.Call(ctx, "Adds", args, &reply)
}

type ArgsSkuTagDel struct {
	SkuId  uint   // skuId
	TagIds []uint // tagIds
}

// Del @Title 删除标签
func (s *skuTag) Del(ctx context.Context, args ArgsSkuTagDel) error {
	reply := 0
	xClient, err := client.GetClient(s)
	if err != nil {
		return err
	}
	return xClient.Call(ctx, "Del", args, &reply)
}
